<?php
function getDiakAdatok($om_azonosito) {
    global $db;
    $stmt = $db->prepare("SELECT d.*, COUNT(i.id) as kartya_szam 
                          FROM diakok d 
                          LEFT JOIN igenyles i ON d.id = i.diak_id 
                          WHERE d.om_azonosito = ?
                          GROUP BY d.id");
    $stmt->bind_param("s", $om_azonosito);
    $stmt->execute();
    $result = $stmt->get_result();
    return $result->fetch_assoc();
}

function ujIgenyles($diak_id) {
    global $db;
    $stmt = $db->prepare("INSERT INTO igenyles (diak_id) VALUES (?)");
    $stmt->bind_param("i", $diak_id);
    return $stmt->execute();
}
?>