<!DOCTYPE html>
<html lang="hu">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Kártya igénylések</title>
<link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png">
<link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
<link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">
<link rel="manifest" href="/site.webmanifest">
<link rel="mask-icon" href="/safari-pinned-tab.svg" color="#5bbad5">
<meta name="msapplication-TileColor" content="#da532c">
<meta name="theme-color" content="#ffffff">
<style>
    body {
        font-family: Arial, sans-serif;
        background-color: #f5f5f5;
        margin: 0;
        padding: 0;
    }
    .container {
        max-width: 800px;
        margin: 20px auto;
        padding: 20px;
        background-color: #fff;
        border-radius: 8px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        animation: fadeIn 0.5s ease-out;
    }
    table {
        width: 100%;
        border-collapse: collapse;
        margin-top: 20px;
    }
    table th, table td {
        padding: 10px;
        text-align: center;
        border-bottom: 1px solid #ddd;
    }
    table th {
        background-color: #f2f2f2;
    }
    .update-button {
         background-color: #04AA6D;
  	border: none;
  	color: white;
  	padding: 15px 32px;
  	text-align: center;
  	text-decoration: none;
  	display: inline-block;
  	font-size: 16px;
	border-radius: 7px;
	margin-top: 20px;
    }	
    @keyframes fadeIn {
        from {
            opacity: 0;
        }
        to {
            opacity: 1;
        }
    }
</style>
</head>
<body>

<div class="container">
    <h1>Kártya igénylések</h1>
    <?php
    require_once("auth.php");
    // Adatbázis kapcsolódás és lekérdezés
    $servername = "localhost";
    $username = "mmartin";
    $password = "Gemini12!";
    $dbname = "kartya";

    $conn = new mysqli($servername, $username, $password, $dbname);
    if ($conn->connect_error) {
        die("Nem sikerült csatlakozni az adatbázishoz: " . $conn->connect_error);
    }

    $sql = "SELECT * FROM kartya_igenyles ORDER BY datum DESC";
    $result = $conn->query($sql);

    // Lekérdezés eredményének megjelenítése
    if ($result->num_rows > 0) {
        echo "<form method='post' action='frissites.php'>";
        echo "<table><tr><th>ID</th><th>Név</th><th>Osztály</th><th>Mikor hagytad el a kártyád?</th><th>Státusz</th><th>Kártya igénylésének dátuma</th></tr>";
        while($row = $result->fetch_assoc()) {
            echo "<tr><td>".$row["id"]."</td><td>".$row["nev"]."</td><td>".$row["osztaly"]."</td><td>".$row["elhagytad"]."</td><td>";
            // Módosított legördülő menü
            echo "<select name='status[]'>";
            echo "<option value=class='update-button''Folyamatban' ".($row["status"] == "Folyamatban" ? "selected" : "").">Folyamatban</option>";
            echo "<option value='Kész' ".($row["status"] == "Kész" ? "selected" : "").">Kész</option>";
            echo "<option value='Kiadva' ".($row["status"] == "Kiadva" ? "selected" : "").">Kiadva</option>";
	echo "<option value='Megtalálta' ".($row["status"] == "Megtalálta" ? "selected" : "").">Megtalálta</option>";
	echo "<option value='Nem kell' ".($row["status"] == "Nem kell" ? "selected" : "").">Nem kell</option>";
            echo "</select>";
            echo "<input type='hidden' name='id[]' value='".$row["id"]."'>"; // Az azonosítók elrejtése
            echo "</td><td>".$row["datum"]."</td></tr>";
        }
        echo "</table>";
        echo "<div><button class='update-button' type='submit'>Frissítés</button></div>";
        echo "</form>";
    } else {
        echo "Nincs találat az adatbázisban.";
    }

    // Adatbázis kapcsolat bezárása
    $conn->close();
    ?>
</div>

</body>
</html>
