<?php
// Ellenőrizzük, hogy a felhasználó által megadott jelszó helyes-e
function authenticate($username, $password) {
    // Olvassuk be a felhasználónév-jelszó párokat tartalmazó fájlt
    $credentials = file_get_contents("credentials.txt");
    $lines = explode("\n", $credentials);

    foreach ($lines as $line) {
        list($user, $pass) = explode(":", $line);
        if (trim($user) === $username && trim($pass) === $password) {
            return true; // A jelszó helyes
        }
    }

    return false; // A jelszó helytelen
}

// Ellenőrizzük a megadott felhasználónevet és jelszót
if (isset($_SERVER['PHP_AUTH_USER']) && isset($_SERVER['PHP_AUTH_PW'])) {
    $username = $_SERVER['PHP_AUTH_USER'];
    $password = $_SERVER['PHP_AUTH_PW'];

    if (authenticate($username, $password)) {
    // A jelszó helyes, engedélyezzük a weboldal megjelenítését
    echo '<h4><span style="color: blue;">Folyamatban:</span> Igénylés megjött, de még a kártya nincs kész.</h4>';
    echo '<h4><span style="color: orange;">Kész:</span> Kártya készen van, de még nincs kiadva.</h4>';
    echo '<h4><span style="color: green;">Kiadva:</span> A kártya kiadva és kifezetve.</h4>';
	echo '<h4><span style="color: red;">Megtalálta:</span> A kártyát megtalálta, így tárgytalan.</h4>';
	echo '<h4><span style="color: tomato;">Nem kell:</span> A kártyát újra igényelte anélkül, hogy átvette volna az előzőt.</h4>';
} else {
        // A jelszó helytelen, kérjük újra
        header('WWW-Authenticate: Basic realm="Jelszó védelem"');
        header('HTTP/1.0 401 Unauthorized');
        echo 'Helytelen felhasználónév vagy jelszó. <a href="javascript:history.back()">Vissza</a>';
        exit;
    }
} else {
    // Kérjük meg a felhasználót, hogy adja meg a felhasználónevet és jelszót
    header('WWW-Authenticate: Basic realm="Jelszó védelem"');
    header('HTTP/1.0 401 Unauthorized');
    echo 'Kérlek, add meg a felhasználónevet és jelszót.';
    exit;
}
?>
