<?php
$servername = "localhost";
$username = "mmartin";
$password = "Gemini12!";
$dbname = "kartya";

$conn = new mysqli($servername, $username, $password, $dbname);
if ($conn->connect_error) {
    die("Nem sikerült csatlakozni az adatbázishoz: " . $conn->connect_error);
}

// Változó az üzenetnek
$message = "";

// Ellenőrizze, hogy a POST kérést elküldték-e
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Ellenőrizze, hogy a státusz mezők kiválasztva vannak-e
    if (isset($_POST["status"]) && isset($_POST["id"])) {
        // Frissítse az adatbázist az új státusz értékekkel
        $stmt = $conn->prepare("UPDATE kartya_igenyles SET status = ? WHERE id = ?");
        $stmt->bind_param("si", $status, $id);
        foreach ($_POST["status"] as $key => $status) {
            $id = $_POST["id"][$key];
            $stmt->execute();
            if ($stmt->error) {
                $message .= "Hiba történt a frissítés közben: " . $stmt->error . "<br>";
            }
        }
        if ($message == "") {
            $message = "Sikeresen frissítve.";
        }
        $stmt->close();
    } else {
        $message = "Nincs státusz kiválasztva a frissítéshez.";
    }
} else {
    $message = "Hiba történt a frissítés közben.";
}

$conn->close();
?>

<!DOCTYPE html>
<html lang="hu">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<title>Kártya igénylések frissítése</title>
<script>
    window.onload = function() {
        alert("<?php echo $message; ?>");
        window.location.href = "index.php"; // Átirányítás a lekérdezés oldalra
    };
</script>
</head>
<body>
</body>
</html>
